"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.ResolutionMethod = exports.FreeTrialStatus = exports.PaymentCycle = exports.onAppInstancePaidPlanPurchased = exports.onAppInstancePaidPlanChanged = exports.onAppInstancePaidPlanAutoRenewalCancelled = exports.onAppInstanceRemoved = exports.onAppInstanceInstalled = exports.getAppInstance = void 0;
const devcenter_app_instance_v1_app_instance_app_instances_public_js_1 = require("./devcenter-app-instance-v1-app-instance-app-instances.public.js");
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
const event_definition_modules_1 = require("@wix/sdk-runtime/event-definition-modules");
const devcenter_app_instance_v1_app_instance_app_instances_public_js_2 = require("./devcenter-app-instance-v1-app-instance-app-instances.public.js");
const devcenter_app_instance_v1_app_instance_app_instances_public_js_3 = require("./devcenter-app-instance-v1-app-instance-app-instances.public.js");
const devcenter_app_instance_v1_app_instance_app_instances_public_js_4 = require("./devcenter-app-instance-v1-app-instance-app-instances.public.js");
const devcenter_app_instance_v1_app_instance_app_instances_public_js_5 = require("./devcenter-app-instance-v1-app-instance-app-instances.public.js");
const devcenter_app_instance_v1_app_instance_app_instances_public_js_6 = require("./devcenter-app-instance-v1-app-instance-app-instances.public.js");
exports.getAppInstance = (0, rest_modules_1.createRESTModule)(devcenter_app_instance_v1_app_instance_app_instances_public_js_1.getAppInstance);
/**
 * Triggered when an instance of your app is installed on a Wix site.
 */
exports.onAppInstanceInstalled = (0, event_definition_modules_1.createEventModule)(devcenter_app_instance_v1_app_instance_app_instances_public_js_2.onAppInstanceInstalled);
/**
 * Triggered when an instance of your app is uninstalled from a Wix site.
 */
exports.onAppInstanceRemoved = (0, event_definition_modules_1.createEventModule)(devcenter_app_instance_v1_app_instance_app_instances_public_js_3.onAppInstanceRemoved);
/**
 * Triggered when a Wix user cancels a paid plan for your app. The
 * Wix user can continue to use your app until the end of the current billing
 * cycle.
 */
exports.onAppInstancePaidPlanAutoRenewalCancelled = (0, event_definition_modules_1.createEventModule)(devcenter_app_instance_v1_app_instance_app_instances_public_js_4.onAppInstancePaidPlanAutoRenewalCancelled);
/**
 * Triggered when a Wix user upgrades or downgrades their plan for your app.
 */
exports.onAppInstancePaidPlanChanged = (0, event_definition_modules_1.createEventModule)(devcenter_app_instance_v1_app_instance_app_instances_public_js_5.onAppInstancePaidPlanChanged);
/**
 * Triggered when a Wix user purchases a paid plan for your app.
 */
exports.onAppInstancePaidPlanPurchased = (0, event_definition_modules_1.createEventModule)(devcenter_app_instance_v1_app_instance_app_instances_public_js_6.onAppInstancePaidPlanPurchased);
var devcenter_app_instance_v1_app_instance_app_instances_universal_js_1 = require("./devcenter-app-instance-v1-app-instance-app-instances.universal.js");
Object.defineProperty(exports, "PaymentCycle", { enumerable: true, get: function () { return devcenter_app_instance_v1_app_instance_app_instances_universal_js_1.PaymentCycle; } });
Object.defineProperty(exports, "FreeTrialStatus", { enumerable: true, get: function () { return devcenter_app_instance_v1_app_instance_app_instances_universal_js_1.FreeTrialStatus; } });
Object.defineProperty(exports, "ResolutionMethod", { enumerable: true, get: function () { return devcenter_app_instance_v1_app_instance_app_instances_universal_js_1.ResolutionMethod; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return devcenter_app_instance_v1_app_instance_app_instances_universal_js_1.WebhookIdentityType; } });
//# sourceMappingURL=devcenter-app-instance-v1-app-instance-app-instances.context.js.map