import { getAppInstance as publicGetAppInstance } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { onAppInstanceInstalled as publicOnAppInstanceInstalled } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
import { onAppInstanceRemoved as publicOnAppInstanceRemoved } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
import { onAppInstancePaidPlanAutoRenewalCancelled as publicOnAppInstancePaidPlanAutoRenewalCancelled } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
import { onAppInstancePaidPlanChanged as publicOnAppInstancePaidPlanChanged } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
import { onAppInstancePaidPlanPurchased as publicOnAppInstancePaidPlanPurchased } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
export const getAppInstance = /*#__PURE__*/ createRESTModule(publicGetAppInstance);
/**
 * Triggered when an instance of your app is installed on a Wix site.
 */
export const onAppInstanceInstalled = createEventModule(publicOnAppInstanceInstalled);
/**
 * Triggered when an instance of your app is uninstalled from a Wix site.
 */
export const onAppInstanceRemoved = createEventModule(publicOnAppInstanceRemoved);
/**
 * Triggered when a Wix user cancels a paid plan for your app. The
 * Wix user can continue to use your app until the end of the current billing
 * cycle.
 */
export const onAppInstancePaidPlanAutoRenewalCancelled = createEventModule(publicOnAppInstancePaidPlanAutoRenewalCancelled);
/**
 * Triggered when a Wix user upgrades or downgrades their plan for your app.
 */
export const onAppInstancePaidPlanChanged = createEventModule(publicOnAppInstancePaidPlanChanged);
/**
 * Triggered when a Wix user purchases a paid plan for your app.
 */
export const onAppInstancePaidPlanPurchased = createEventModule(publicOnAppInstancePaidPlanPurchased);
export { PaymentCycle, FreeTrialStatus, ResolutionMethod, WebhookIdentityType, } from './devcenter-app-instance-v1-app-instance-app-instances.universal.js';
//# sourceMappingURL=devcenter-app-instance-v1-app-instance-app-instances.context.js.map